Bug 67935 - errors during install from rpm
errors during install from rpm
Status: CLOSED WORKSFORME
Product: Red Hat Raw Hide
Classification: Retired
Component: setup (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: 67218 79579
  Show dependency treegraph
 
Reported: 2002-07-04 10:03 EDT by ellson
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-11 00:47:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ellson 2002-07-04 10:03:54 EDT
Description of Problem:
# rpm -ivh kernel-smp-2.4.18-5.59.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel-smp             ########################################### [100%]
find: /proc/scsi/usb-sto*: No such file or directory
basename: too few arguments
Try `basename --help' for more information.
find: /proc/scsi/usb-sto*: No such file or directory
basename: too few arguments
Try `basename --help' for more information.
fatal error: unable to find a suitable template


Version-Release number of selected component (if applicable):
kernel-smp-2.4.18-5.59.i686.rpm

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 ellson 2002-07-05 12:39:41 EDT
Problem still exists, with additional stty errors, in kernel-smp-2.4.18-5.61


rpm -ivh kernel-smp-2.4.18-5.61.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel-smp             ########################################### [100%]
stty: standard input: Invalid argument
stty: standard input: Invalid argument
stty: standard input: Invalid argument
find: /proc/scsi/usb-sto*: No such file or directory
basename: too few arguments
Try `basename --help' for more information.
find: /proc/scsi/usb-sto*: No such file or directory
basename: too few arguments
Try `basename --help' for more information.
fatal error: unable to find a suitable template
Comment 2 Erik Troan 2002-07-08 09:23:39 EDT
what version of mkinitrd are you running?
Comment 3 ellson 2002-07-08 09:37:14 EDT
mkinitrd-3.4.12-1
rawhide-release-20020706-1
Comment 4 Erik Troan 2002-07-08 10:28:37 EDT
Ugh -- think I found it. Could you try fixing this by searching for
"usb-storage" in /sbin/mkinitrd and changing the line:

    if [ -z "$usbHosts" -a /proc/scsi/usb-storage-0 ]; then

to read:

    if [ -z "$usbHosts" -a -d /proc/scsi/usb-storage-0 ]; then

To test this, run "mkinitrd -f /tmp/foo.img $(uname -r)" and see if you get
any error messages. You should before the fix, but not after. Please let me know
if this works.
Comment 5 ellson 2002-07-08 10:52:32 EDT
That fixed the "basename" part of the problem.


root@amber:root# mkinitrd -f /tmp/foo.img $(uname -r)
find: /proc/scsi/usb-sto*: No such file or directory
basename: too few arguments
Try `basename --help' for more information.
find: /proc/scsi/usb-sto*: No such file or directory
basename: too few arguments
Try `basename --help' for more information.
root@amber:root# vi /sbin/mkinitrd
root@amber:root# mkinitrd -f /tmp/foo.img $(uname -r)
root@amber:root#


But I'm still getting error messages from kernel upgrades:

root@amber:rawhide# rpm -Uvh --replacepkgs kernel-smp-2.4.18-5.62.i686.rpm
Preparing...                ########################################### [100%]
   1:kernel-smp             ########################################### [100%]
stty: standard input: Invalid argument
stty: standard input: Invalid argument
stty: standard input: Invalid argument
fatal error: unable to find a suitable template
stty: standard input: Invalid argument
fatal error: unable to find a suitable template
stty: standard input: Invalid argument
fatal error: unable to find a suitable template
stty: standard input: Invalid argument
fatal error: unable to find a suitable template
root@amber:rawhide#


Comment 6 Erik Troan 2002-07-08 13:30:40 EDT
the unable to find a suitable template messages are transitory (from the
mkinitrd failures that occured); still trying to track down the stty stuff
Comment 7 Erik Troan 2002-07-09 16:04:51 EDT
The stty error is coming from /etc/bashrc; changing component to setup
Comment 8 Bill Nottingham 2002-08-21 15:50:12 EDT
I have not seen this anywhere else. How are you installing the kernel (terminal
type, etc.)?
Comment 9 Bill Nottingham 2003-02-11 00:46:37 EST
closing, lack of input

Note You need to log in before you can comment on or make changes to this bug.